GLEDGEFLAG(3G)

NAME
glEdgeFlag, glEdgeFlagv - flag edges as either boundary or nonboundary

C SPECIFICATION
void glEdgeFlag( GLboolean flag )

PARAMETERS

flag
    Specifies the current edge flag value, either GL_TRUE or GL_FALSE. The initial value is GL_TRUE.

C SPECIFICATION
void glEdgeFlagv( const GLboolean *flag )

PARAMETERS

flag
    Specifies a pointer to an array that contains a single boolean element, which replaces the current edge flag value.

DESCRIPTION
Each vertex of a polygon, separate triangle, or separate quadrilateral specified between a glBegin/glEnd pair is marked as the start of either a boundary or nonboundary edge. If the current edge flag is true when the vertex is specified, the vertex is marked as the start of a boundary edge. Otherwise, the vertex is marked as the start of a nonboundary edge. glEdgeFlag sets the edge flag bit to GL_TRUE if flag is GL_TRUE, and to GL_FALSE otherwise.

The vertices of connected triangles and connected quadrilaterals are always marked as boundary, regardless of the value of the edge flag.

Boundary and nonboundary edge flags on vertices are significant only if GL_POLYGON_MODE is set to GL_POINT or GL_LINE. See glPolygonMode.

NOTES
The current edge flag can be updated at any time. In particular, glEdgeFlag can be called between a call to glBegin and the corresponding call to glEnd.

ASSOCIATED GETS
glGet with argument GL_EDGE_FLAG

SEE ALSO
glBegin(3G), glEdgeFlagPointer(3G), glPolygonMode(3G)